Subject: [bug#39728] [PATCH v2] Allow parallel downloads and builds

From: Ludovic Courtès <[email-masked]>
Date: Thu, 25 Nov 2021 13:53:25 +0100

Hello,

Julien Lepiller <[email-masked]> skribis:

> After so long, I managed to find the time to go over the comments and
> improve my patches. I tested the new daemon for a bit, and it's working
> as expected so far :D

On a recent daemon, have you seen cases where having multiple downloads
in parallel speeds things up?

The analysis in
<https://guix.gnu.org/en/blog/2021/getting-bytes-to-disk-more-quickly/>
suggests that at the time you first submitted this patch, substitution
speed (which is different from raw download speed) was often CPU-bound.
This is no longer the case, meaning that downloads should now be
network-bound or almost.

Thanks,
Ludo’.